#
# TODO:
#	- don't package entire doc subdirectory as %doc, make install creates
#	  much more reasonable directory structure
#	- fix default fontpath for ghostscript fonts as now it seeks
#		/usr/share/ghostscript/fonts/
#		/usr/local/share/ghostscript/fonts/
#		/usr/share/fonts/default/Type1/
#		/usr/share/fonts/default/ghostscript/
#		/usr/share/fonts/type1/gsfonts/
#	  instead of /usr/share/fonts/Type1/
#	  userspace solution: echo fontDir /usr/share/fonts/Type1 >> ~/.xpdfrc
#
Summary:	Editor for manipulating PDF documents
Summary(pl.UTF-8):	Edytor do manipulowania dokumentami PDF
Name:		pdfedit
Version:	0.4.5
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://download.sourceforge.net/pdfedit/%{name}-%{version}.tar.bz2
# Source0-md5:	80502ee7f08cdfb867ffdaa92d160a23
Patch0:		pdfedit-fixbuild.patch
URL:		http://pdfedit.petricek.net/
BuildRequires:	autoconf
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	libpaper-devel
BuildRequires:	motif-devel
BuildRequires:	qmake
BuildRequires:	qt-devel
BuildRequires:	qt-linguist
BuildRequires:	t1lib-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Complete editing of PDF documents is made possible with PDFedit. You
can change either raw PDF objects (for advanced users) or use
predefined GUI functions. Functions can be easily added as everything
is based on a scripts.

Scripting is used to a great extent in editor and almost anything can
be scripted, it is possible to create own scripts or plugins.

%description -l pl.UTF-8
PDFedit umożliwia pełną edycję dokumentów PDF. Można modyfikować
surowe obiekty PDF (dla zaawansowanych użytkowników) lub używać
predefiniowanych funkcji interfejsu graficznego. Można łatwo dodawać
własne funkcje, jako że wszystko jest oparte na skryptach.

Skrypty pozwalają w znaczny sposób rozszerzać edytor i prawie wszystko
można osiągnąć z poziomu skryptów; można tworzyć własne skrypty i
wtyczki.

%prep
%setup -q
%patch0 -p1

# remove bashizms
sed -e 's/function //g' -i getversion tools/generate_lang.sh

%build
export QTDIR="%{_prefix}"
export QMAKESPEC="linux-g++"
%{__autoconf}
%configure \
	CXX_EXTRA="%{rpmcflags}"
%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	%{?debug:--disable-release}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	QTDIR="%{_prefix}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog README doc
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man1/*.1*
%changelog
* Sun Jan 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pdfedit.git;a=log;h=master

* Sun Jan 26 2014 Jan Rękorajski <baggins@pld-linux.org> f128aa4
- added fixbuild patch from fedora

* Sun Dec 01 2013 Jan Rękorajski <baggins@pld-linux.org> d65925b
- updated source url and md5

* Tue Dec 28 2010 Mateusz Korniak <matkor@pld-linux.org> ed72d7e
- Version 0.4.5-1.

* Tue Jul 28 2009 Tomasz Pala <gotar@pld-linux.org> 27ec5eb
- upgraded to 0.4.3

* Sat Jun 20 2009 Tomasz Pala <gotar@pld-linux.org> 55b5dfa
- upgraded to 0.4.2, pass compiler options

* Tue Apr 29 2008 Paweł Sikora <pluto@pld-linux.org> da39c4a
- reorganize boost BRs (boost-devel >= 1.35.0).

* Thu Mar 13 2008 Jakub Bogusz <qboosh@pld-linux.org> ab685cf
- pl desc

* Thu Mar 13 2008 Tomasz Pala <gotar@pld-linux.org> 93f727b
- one more TODO (about how to fix font issues)

* Thu Mar 13 2008 Tomasz Pala <gotar@pld-linux.org> fa403c3
- upgraded to 0.4.1

* Tue Jan 01 2008 darekr <darekr@pld-linux.org> c4228e4
- BR: autoconf

* Tue Jan 01 2008 Tomasz Pala <gotar@pld-linux.org> 91793df
- added missing BRs, TODO, cosmetics

* Sat Dec 29 2007 twittner <twittner@pld-linux.org> 94bc720
- initial

